Filewatcher File Search File Search
Content Search
» » » » »


high-level terminal interface library for C++ (development files)

libcwidget is a modern user interface library modeled on GTK+ and Qt, but using curses as its display layer and with widgets that are tailored to a terminal environment.

This package contains files that are needed to write or compile software that uses libcwidget.

WARNING: this is a newly created library whose development is closely tied to the development of aptitude. Its API may be incomplete and is likely to change considerably version-over-version! You may want to avoid cwidget for stable projects.

Package version:0.5.16-3


(0) Compiling libcwidget

  Compiling cwidget requires a C++ compiler and the ncurses library in
  its wide-character form (libncursesw).  To generate API
  documentation, you will also need doxygen (see

  To compile the library, run "./configure && make".  If doxygen is
  installed, you can build documentation in the directory "doc" by
  running "make doc".

(1) Inst


cwidget (0.5.16-3) unstable; urgency=low

  * Disable strict aliasing to prevent g++ from erroring out in the build.
    "Fixing" it this way is a horrible hack, but the error message is
    entirely incomprehensible, I can't figure out which code, if any, is
    at fault here, and my attempts to fix it by phrasing the code
    differently have failed. (Closes: #561157, #526674)

  * Add misc:Depe


Copyright 1999-2007 Daniel Burrows <>

The upstream Web site for cwidget is .

License: GPL (/usr/share/common-licenses/GPL)

Browse inside libcwidget-dev_0.5.16-3_i386.deb

         [DIR]DEBIAN/ (2)  65535+ mirrors
         [DIR]usr/ (3)  65535+ mirrors

Download libcwidget-dev_0.5.16-3_i386.deb

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2016